update f00 set p203=peg_chr2sear(p203,0)
where nr01=1 && p203<>peg_chr2sear(p203,0);
/*peg_end*/        

update i00, i13, este04
set este04.{my_fld} = round(este04.{my_fld} * (100 + {my_newfpa})/(100 + {my_oldfpa}), {peg_dektim}), 
    este04.remdate=curdate(), 
    este04.remtime=curtime(), 
    este04.remuser='@mass@'
where i00.fpa=i13.p01
   && i13.p01={my_oldcat}
   && este04.p00=i00.nr01
   && este04.{my_fld}<>0;
/*peg_end*/        
